<?php

function writeToLog($data, $title = '', $fileName) {
    $log = "\n------------------------\n";
    $log .= date("Y.m.d G:i:s") . "\n";
    $log .= (strlen($title) > 0 ? $title : 'DEBUG') . "\n";
    $log .= print_r($data, 1);
    $log .= "\n------------------------\n";
    file_put_contents($_SERVER['DOCUMENT_ROOT']."/roistat/uiscom/$fileName", $log, FILE_APPEND);
    return true;
}

function _getFileRecord($filesJSON) {
    try {
        $files = json_decode($filesJSON, true);
        return count($files) > 0 ? $files[0] : null;
    } catch (\Exception $e) {
        return null;
    }
}