<?php
require_once $_SERVER['DOCUMENT_ROOT'].'/roistat/uiscom/lib/Roistat.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/roistat/uiscom/lib/functions.php';

if (!array_key_exists('contact_phone_number', $_GET)) {
    writeToLog('', 'Нет параметра contact_phone_number', 'start_call_log.txt');
    die();
}

writeToLog($_GET, 'Информация о записаном разговоре Uiscom', 'end_call_log.txt');
try {
    $rs = new Roistat();
    $phone = preg_replace('/\D/', '', $_GET['contact_phone_number']);
    $phoneList = json_decode($rs->phoneList($phone), true);
    $result = $rs->updatePhoneCall(array(
        "id"       => $phoneList['data'][0]['id'],
        "status"   => $_GET['is_lost'] == 'false' ? 'ANSWER' : 'NOANSWER',
        "duration" => $_GET['total_time_duration'],
        "link"     => _getFileRecord($_GET['record_file_links']),
    ));
    writeToLog($result, "Обновленный звонок {$phoneList['data'][0]['id']}", 'end_call_log.txt');
} catch (Exception $e) {
    writeToLog($e->getMessage(), 'Ошибка', 'end_call_log.txt');
}