<?php
require_once $_SERVER['DOCUMENT_ROOT'].'/roistat/uiscom/lib/Roistat.php';
require_once $_SERVER['DOCUMENT_ROOT'].'/roistat/uiscom/lib/functions.php';

if (!array_key_exists('contact_phone_number', $_GET) || !array_key_exists('virtual_phone_number', $_GET) || !array_key_exists('start_time', $_GET)) {
    writeToLog('', 'Нет параметра contact_phone_number, или virtual_phone_number, или start_time', 'start_call_log.txt');
    die();
}

writeToLog($_GET, 'Информация о звоноке на виртуальный номер Uiscom', 'start_call_log.txt');
try {
    $rs = new Roistat();
    $result = $rs->createPhoneCall(array(
        'callee'   => $_GET['virtual_phone_number'],
        'caller'   => $_GET['contact_phone_number'],
        'date'     => $_GET['start_time'],
        'status'   => 'ANSWER'
    ));
    writeToLog(json_decode($result, true), "Созданный звонок", 'start_call_log.txt');
} catch (Exception $e) {
    writeToLog($e->getMessage(), 'Ошибка', 'start_call_log.txt');
}